Package org.bukkit.conversations

# Class NullConversationPrefix

java.lang.Object
org.bukkit.conversations.NullConversationPrefix

All Implemented Interfaces:
  `ConversationPrefix`

public class NullConversationPrefix extends Object implements ConversationPrefix
NullConversationPrefix is a `ConversationPrefix` implementation that displays nothing in front of conversation output.

## Constructor Summary

Constructors
Constructor
Description
`NullConversationPrefix()`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getPrefix(@NotNull ConversationContext context)`
Prepends each conversation message with an empty string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullConversationPrefix

public NullConversationPrefix()

## Method Details

### getPrefix

@NotNull public @NotNull String getPrefix(@NotNull @NotNull ConversationContext context)
Prepends each conversation message with an empty string.

Specified by:
  `getPrefix` in interface `ConversationPrefix`
Parameters:
  `context` - Context information about the conversation.
Returns:
  An empty string.